#include <owl\applicat.h>
#include <owl\framewin.h>
#include "pr13_1.rc"

// 
class TApp: public TApplication
{
  public:
	 TApp():TApplication(){}
	 void InitMainWindow();
};

//  
class TWndw:public TFrameWindow
{
  public:
	 TWndw(TWindow *parent,const char far *title);
  protected:
	 void EvLButtonDown(UINT,TPoint &point);
	 BOOL CanClose();
	 void CmFileNew();
	 void CmFileOpen();
	 void CmFileSave();
	 DECLARE_RESPONSE_TABLE (TWndw);
};

DEFINE_RESPONSE_TABLE1 (TWndw, TFrameWindow)
	 EV_COMMAND(CM_FILENEW, CmFileNew),
	 EV_COMMAND(CM_FILEOPEN, CmFileOpen),
	 EV_COMMAND(CM_FILESAVE, CmFileSave),
END_RESPONSE_TABLE;


TWndw::TWndw(TWindow *parent,const char far *title):
		  TFrameWindow(parent,title)
{
	//     .
	AssignMenu("MENU_1");
	//     .
	Attr.X=50;
	Attr.Y=50;
	Attr.W=GetSystemMetrics(SM_CXSCREEN)/4;
	Attr.H=GetSystemMetrics(SM_CXSCREEN)/5;
}

// TWndw::CmFileNew()
//       CM_FILENEW,
//      File New.
void TWndw::CmFileNew()
{
  MessageBox("  File | New", "", MB_OK);
}

// TWndw::CmFileOpen()
//       CM_FILEOPEN,
//      File Open.
void TWndw::CmFileOpen()
{
  MessageBox("  File | Open", "", MB_OK);
}

// TWndw::CmFileSave()
//       CM_FILESAVE,
//      File Save.
void TWndw::CmFileSave()
{
  MessageBox("  File | Save", "", MB_OK);
}

BOOL TWndw::CanClose()
{
  int result=MessageBox("    ?","",
					 MB_YESNO | MB_ICONQUESTION);
  if (result==IDYES) return TRUE;
  else return FALSE;
}

void TApp::InitMainWindow()
{
  TFrameWindow *wndw=new TWndw(0,"  ");
  SetMainWindow(wndw);
}

int OwlMain(int,char *[])
{
  return TApp().Run();
}
